textprintf_ex(3)

NAME
textprintf_ex - Formatted output of a string. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void textprintf_ex(BITMAP *bmp, const FONT *f, int x, int y, int color, int bg, const char *fmt, ...);

DESCRIPTION
Formatted text output, using a printf() style format string. Due to an internal limitation, this function can't be used for extremely long texts. If you happen to reach this limit, you can work around it by using uszprintf() and textout_ex(), which don't have any. Example:
   int player_score;
   ...
   textprintf_ex(screen, font, 10, 10, makecol(255, 100, 200),
                 -1, "Score: %d", player_score);

SEE ALSO
font(3), textout_ex(3), textprintf_centre_ex(3), textprintf_right_ex(3), textprintf_justify_ex(3), text_height(3), text_length(3), uszprintf(3)